Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobEntryCategory

    java.lang.Object
      org.pentaho.di.job.JobEntryCategory

    public class JobEntryCategory

extends Object

Different types of job entry categories.
Used by the Job annotation as well as in the kettlle-jobs.xml file.

Author:
  Matt Casters

Field Summary
`static JobEntryCategory` | `BULK_LOADING`
`static int` | `CATEGORY_BULK_LOADING`
`static int` | `CATEGORY_CONDITIONS`
`static int` | `CATEGORY_EXPERIMENTAL`
`static int` | `CATEGORY_FILE_MANAGEMENT`
`static int` | `CATEGORY_FILE_TRANSFER`
`static int` | `CATEGORY_GENERAL`
`static int` | `CATEGORY_MAIL`
`static int` | `CATEGORY_REPOSITORY`
`static int` | `CATEGORY_SCRIPTING`
`static int` | `CATEGORY_USER_DEFINED`
`static int` | `CATEGORY_XML`
`static JobEntryCategory` | `CONDITIONS`
`static JobEntryCategory` | `EXPERIMENTAL`
`static JobEntryCategory` | `FILE_MANAGEMENT`
`static JobEntryCategory` | `FILE_TRANSFER`
`static JobEntryCategory` | `GENERAL`
`static JobEntryCategory` | `MAIL`
`static JobEntryCategory` | `REPOSITORY`
`static JobEntryCategory` | `SCRIPTING`
`static JobEntryCategory[]` | `STANDARD_CATEGORIES`
`static JobEntryCategory` | `XML`

Constructor Summary
`JobEntryCategory(String name)`

Method Summary
`String` | `getName()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL

    public static final JobEntryCategory GENERAL

### MAIL

    public static final JobEntryCategory MAIL

### FILE_MANAGEMENT

    public static final JobEntryCategory FILE_MANAGEMENT

### CONDITIONS

    public static final JobEntryCategory CONDITIONS

### SCRIPTING

    public static final JobEntryCategory SCRIPTING

### BULK_LOADING

    public static final JobEntryCategory BULK_LOADING

### XML

    public static final JobEntryCategory XML

### REPOSITORY

    public static final JobEntryCategory REPOSITORY

### FILE_TRANSFER

    public static final JobEntryCategory FILE_TRANSFER

### EXPERIMENTAL

    public static final JobEntryCategory EXPERIMENTAL

### CATEGORY_USER_DEFINED

    public static final int CATEGORY_USER_DEFINED

See Also:
  Constant Field Values

### CATEGORY_GENERAL

    public static final int CATEGORY_GENERAL

See Also:
  Constant Field Values

### CATEGORY_MAIL

    public static final int CATEGORY_MAIL

See Also:
  Constant Field Values

### CATEGORY_FILE_MANAGEMENT

    public static final int CATEGORY_FILE_MANAGEMENT

See Also:
  Constant Field Values

### CATEGORY_CONDITIONS

    public static final int CATEGORY_CONDITIONS

See Also:
  Constant Field Values

### CATEGORY_SCRIPTING

    public static final int CATEGORY_SCRIPTING

See Also:
  Constant Field Values

### CATEGORY_BULK_LOADING

    public static final int CATEGORY_BULK_LOADING

See Also:
  Constant Field Values

### CATEGORY_XML

    public static final int CATEGORY_XML

See Also:
  Constant Field Values

### CATEGORY_REPOSITORY

    public static final int CATEGORY_REPOSITORY

See Also:
  Constant Field Values

### CATEGORY_FILE_TRANSFER

    public static final int CATEGORY_FILE_TRANSFER

See Also:
  Constant Field Values

### CATEGORY_EXPERIMENTAL

    public static final int CATEGORY_EXPERIMENTAL

See Also:
  Constant Field Values

### STANDARD_CATEGORIES

    public static final JobEntryCategory[] STANDARD_CATEGORIES

Constructor Detail

### JobEntryCategory

    public JobEntryCategory(String name)

Method Detail

### getName

    public String getName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD